v2.0

get

/ec-auth-svc/rest/v2.0/globalroles/users/unassigned

Retrieves global users who are not assigned to a study. Results can be filtered by user name and limited to a number.

Request

Query Parameters
Header Parameters

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Success
Body ()
Root Schema : DisplayUserListDto
Type: object
Paginated result set of users for a global role.
Show Source
Nested Schema : users
Type: object
User details including name, username, and email address.
Show Source
Example:
[
    {
        "id":"1BC29B36F5D64B1B95F4BDBBCEA481BE",
        "firstName":"Alice",
        "lastName":"Brown",
        "userName":"alicebrown",
        "emailAddress":"alice.brown@email.com"
    }
]
Examples

400 Response

Bad request
Body ()
Root Schema : AuthResponse
Type: object
Generic API response wrapper containing result, error data, response version and status.
Show Source
Nested Schema : ErrorResponseData
Type: object
Title: ErrorResponseData
Error Response Details Information
Show Source
  • Object
    Title: Object
    Object with error details information.
  • Error code which is stored in ErrorCode enum. Example : C1-003
    Example: C1-003
  • Error message which is stored in service property file. Example : Cannot modify object after a study version has been approved
    Example: Cannot modify object after a study version has been approved
Nested Schema : result
Type: object
Result data of the API response; actual type depends on the API
Example:
oracle.doceng.json.BetterJsonNull@65719c12
Nested Schema : Object
Type: object
Title: Object
Object with error details information.
Back to Top